This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 646720 - localboot syntax is unusable under some new servers
localboot syntax is unusable under some new servers
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cobbler (Show other bugs)
13
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Scott J Henson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-25 22:48 EDT by Hui Li
Modified: 2013-09-29 21:08 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 07:11:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Hui Li 2010-10-25 22:48:52 EDT
Description of problem: 
After the timeout value passed cannot boot up the local hard disk. The system will hang or repeat PXE boot procedure endlessly.

Version-Release number of selected component (if applicable):


How reproducible:
Just import a distro and using the default settings.

Steps to Reproduce:
1.Import a distro.
2.Restart the machine as the Cobbler client.
3.After timeout value passed.
  
Actual results:
The system will hang or repeat PXE boot procedure endlessly.

Expected results:
The system is booting up with the hard disk.

Additional info:
Actually this problem is due to LOCALBOOT 0 this syntax. Some servers we have test like IBM x3850 X5 and HP DL585 G7 server even some RHTS servers in the Beaker. We have found the solution, using chain.c32 module.

Here's instruction we did for this solution.
1.Using the latest syslinux package and using the latest NBP pxelinux.0.
2.Copy menu.c32 and chain.c32 to /tftpboot folder.
3.Modify the server specific configuration file under pxelinux.cfg/ and replace
LOCALBOOT 0
with
COM32 chain.c32
APPEND hd0 0

Then the system will boot up the hard disk successfully. 

However, we suppose that it's only a temporary solution by now 'cause after cobbler sync executed the cobbler template will recover the good configuration file. So is it possible to modify Cobbler codes then using chain.c32 to boot up the hard disk? Because "LOCALBOOT 0" really has a serious incompatibility problem with servers and that unable to add new servers to Beaker. Otherwise we can only modify some templates manually.
Comment 1 Scott J Henson 2010-12-31 00:55:48 EST
The template file that generates this should be /etc/cobbler/pxe/pxedefault.template and a few others in this directory.  So this should be user modifiable.

Also, can we be sure that the new syntax works properly on all systems?  From a quick read of the PXE standard and the syslinux documentation, it seems that localboot 0 should work on all boards that truly support PXE.  It is supposed to unload the PXE environment and then continue on with the next boot device.  So this seems like a bug with the BIOS of the boards that don't boot.

Considering the above, I think a documentation note and no change in the defaults that we ship.  Does anyone disagree?
Comment 2 Hui Li 2010-12-31 01:13:28 EST
Actually we have changed all /etc/cobbler/pxe/pxedefault.template in our lab controller within module chain.c32. And the whole environment is running for about 2 months and no error reported at all.

So I suppose this way is a right method to handle some incompatibly problem.
Comment 3 Fedora Admin XMLRPC Client 2011-01-03 09:34:29 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Bug Zapper 2011-05-30 10:48:00 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2011-06-28 07:11:20 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.